Bug 1748663 (CVE-2019-11738) - CVE-2019-11738 Mozilla: Content security policy bypass through hash-based sources in directives
Summary: CVE-2019-11738 Mozilla: Content security policy bypass through hash-based sou...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-11738
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1745831 1745832 1748670
Blocks: 1745825
TreeView+ depends on / blocked
 
Reported: 2019-09-04 00:48 UTC by Doran Moppert
Modified: 2019-09-06 00:50 UTC (History)
3 users (show)

Fixed In Version: firefox 68.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-05 01:07:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2663 None None None 2019-09-04 20:12:19 UTC

Description Doran Moppert 2019-09-04 00:48:28 UTC
If a Content Security Policy (CSP) directive is defined that uses a hash-based source that takes the empty string as input, execution of any `javascript:` URIs will be allowed. This could allow for malicious JavaScript content to be run, bypassing CSP permissions. 



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2019-26/#CVE-2019-11738

Comment 1 Doran Moppert 2019-09-04 00:48:31 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Wladimir Palant

Comment 3 errata-xmlrpc 2019-09-04 20:12:19 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:2663 https://access.redhat.com/errata/RHSA-2019:2663

Comment 4 Product Security DevOps Team 2019-09-05 01:07:36 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-11738


Note You need to log in before you can comment on or make changes to this bug.